For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportContact salesStart free trial
  • Getting started
    • Overview
    • Authentication
    • Querying tutorial
    • OData Integrations
    • Work Breakdown Structure
    • Software Development Kits
    • API Patch Notes
    • FAQ
    • Terms of use
  • API Reference
      • GETList Api Keys
      • POSTCreate Api Key
      • DELRevoke All Api Keys
      • DELRevoke API Key
LogoLogo
SupportContact salesStart free trial
API ReferenceAPI Key

Revoke API Key

DELETE
https://api.projectmanager.com/api/data/api-keys/:id/revoke
DELETE
/api/data/api-keys/:id/revoke
$curl -X DELETE https://api.projectmanager.com/api/data/api-keys/id/revoke \
> -H "Authorization: Bearer <token>"
200Deleted
1{
2 "error": {
3 "technicalError": "string",
4 "additionalErrors": [
5 "string"
6 ],
7 "validationErrors": {},
8 "message": "string"
9 },
10 "success": true,
11 "hasError": true,
12 "statusCode": "Continue"
13}
Revokes a single API key in the current workspace. An API key is a credential that you can use to make REST v4 API calls for ProjectManager.com. When you create a new API key, that API key is only visible in the response JSON for the `CreateApiKey` method. If you do not preserve this information, it cannot be recreated. Some best practices for working with API keys: * An API key is valid for a two year period after it is created. We encourage you to rotate your API keys regularly according to your company's security policies. * You should create separate API keys for each system that works with your API. If that API key is exposed or if that program needs to be shut down, you can revoke that one key and reissue it. * An API key is tied to the workspace that created it. A single API key can only interact with one workspace.
Was this page helpful?
Previous

Retrieve Changeset status

Next
Built with

Revokes a single API key in the current workspace.

An API key is a credential that you can use to make REST v4 API calls for ProjectManager.com. When you create a new API key, that API key is only visible in the response JSON for the CreateApiKey method. If you do not preserve this information, it cannot be recreated.

Some best practices for working with API keys:

  • An API key is valid for a two year period after it is created. We encourage you to rotate your API keys regularly according to your company’s security policies.
  • You should create separate API keys for each system that works with your API. If that API key is exposed or if that program needs to be shut down, you can revoke that one key and reissue it.
  • An API key is tied to the workspace that created it. A single API key can only interact with one workspace.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequiredformat: "uuid"
The unique identifier of the API key to revoke

Headers

x-integration-namestringOptional
The name of the calling system passed along as a header parameter

Response

Success
errorobject or null
If the API call failed, this will contain information about the error that occurred.
successbooleanRead-only

True if the API call succeeded; false otherwise.

hasErrorbooleanRead-only
True if the API call failed.
statusCodeenum
The HTTP code of the response.